pause on
* 1986 data for estimation
* 
clear
* I included France in country.dta
use country
* French data already combine Belgium and Luxembourg
drop if uncode==442
sort paysnum
save country2, replace
clear

* thousands of French Francs

use paysd
rename paynum paysnum
rename sun sun86

gen p95rat86 = p95ratd 
gen q3rat86 = q3ratd 
gen medrat86 = medratd

gen meanfr86 = meanfrd/(1000*6.93) 
gen p95fr86 = p95frd/(1000*6.93) 
gen q3fr86 = q3frd/(1000*6.93) 
gen medfr86 = medfrd/(1000*6.93)
gen q1fr86 = q1frd/(1000*6.93)
gen p5fr86 = p5frd/(1000*6.93)
gen meanpay86 = meanpayd/(1000*6.93)
gen p95pay86 = p95payd/(1000*6.93)
gen q3pay86 = q3payd/(1000*6.93)
gen medpay86 = medpayd/(1000*6.93)
gen q1pay86 = q1payd/(1000*6.93)
gen p5pay86 = p5payd/(1000*6.93)

gen xnf86 = sun86*meanpay86

keep paysnum xnf86 sun86 medfr86 q3fr86 p95fr86 medpay86 q3pay86 p95pay86 medrat86 q3rat86 p95rat86 meanfr86
sort paysnum
merge paysnum using country2
keep if _merge==3
drop _merge

sort country
save paysdcnty, replace

outfile xnf86 sun86 medfr86 q3fr86 p95fr86 medpay86 q3pay86 p95pay86 medrat86 q3rat86 p95rat86 meanfr86 using paysd, replace
 
