libname lib 'c:\travail\trade\eaton-kortum\donnees';
run;



data ekkmer02;
  set lib.bal113;
   length default=4;
  if vfted>0;
  if ventfrd>0;
  if paynum=1
   ! paynum=10
   ! paynum=11
   ! paynum=2
   ! paynum=204
   ! paynum=208
   ! paynum=212
   ! paynum=216
   ! paynum=220
   ! paynum=224
   ! paynum=228
   ! paynum=232
   ! paynum=236
   ! paynum=240
   ! paynum=244
   ! paynum=248
   ! paynum=264
   ! paynum=268
   ! paynum=272
   ! paynum=276
   ! paynum=28
   ! paynum=280
   ! paynum=284
   ! paynum=288
   ! paynum=3
   ! paynum=30
   ! paynum=302
   ! paynum=306
   ! paynum=32
   ! paynum=322
   ! paynum=324
   ! paynum=328
   ! paynum=330
   ! paynum=334
   ! paynum=34
   ! paynum=342
   ! paynum=346
   ! paynum=350
   ! paynum=352
   ! paynum=36
   ! paynum=366
   ! paynum=370
   ! paynum=373
   ! paynum=378
   ! paynum=38
   ! paynum=382
   ! paynum=386
   ! paynum=390
   ! paynum=4
   ! paynum=400
   ! paynum=404
   ! paynum=412
   ! paynum=416
   ! paynum=424
   ! paynum=428
   ! paynum=432
   ! paynum=436
   ! paynum=442
   ! paynum=448
   ! paynum=456
   ! paynum=464
   ! paynum=472
   ! paynum=48
   ! paynum=480
   ! paynum=484
   ! paynum=5
   ! paynum=500
   ! paynum=504
   ! paynum=508
   ! paynum=512
   ! paynum=516
   ! paynum=52
   ! paynum=520
   ! paynum=524
   ! paynum=528
   ! paynum=56
   ! paynum=58
   ! paynum=6
   ! paynum=608
   ! paynum=612
   ! paynum=616
   ! paynum=62
   ! paynum=624
   ! paynum=628
   ! paynum=632
   ! paynum=636
   ! paynum=64
   ! paynum=649
   ! paynum=66
   ! paynum=660
   ! paynum=662
   ! paynum=664
   ! paynum=666
   ! paynum=669
   ! paynum=672
   ! paynum=68
   ! paynum=680
   ! paynum=690
   ! paynum=7
   ! paynum=70
   ! paynum=700
   ! paynum=701
   ! paynum=706
   ! paynum=708
   ! paynum=720
   ! paynum=728
   ! paynum=732
   ! paynum=736
   ! paynum=740
   ! paynum=8
   ! paynum=800
   ! paynum=801
   ! paynum=804
   ! paynum=9;
  un=1;
  sex=0;
  if nvfted113>0 then sex=nvfted113;
  sexplus=1;
  sexplus=nvfted113+1;
  seq=0;
  if (pay='002' and vfted>0) then seq=1000000;
  if (pay='004' and vfted>0) then seq=100000;
  if (pay='036' and vfted>0) then seq=10000;
  if (pay='005' and vfted>0) then seq=1000;
  if (pay='006' and vfted>0) then seq=100;
  if (pay='003' and vfted>0) then seq=10;
  if (pay='400' and vfted>0) then seq=1;
  vfted=vfted/1000;
  svfted=svfted/1000;
  svfted113=svfted113/1000;
  ventfrd=(1.622*ventfrd);
  vad=(cad-cid)*1.622;
  if capitd=. then capitd=0;
  capitd=capitd*1.622;
  if sald<20 then sald=20*effd;
  if charsod<10 then charsod=10*effd;
  coutrad=charsod+sald;
  if coutrad<30 then coutrad=30*effd;
  markup1d=vad/coutrad;
  markup4d=vad/sald;
  markup2d=cad/(cid+coutrad);
  markup5d=cad/(cid+sald);
  markup3d=cad/(cid+coutrad+0.03*capitd);
  markup6d=cad/(cid+sald+0.03*capitd);
  markup7d=vad/effd;
  if (markup1d>20 ! markup1d<0) then do;
    markup1d=.;markup2d=.;markup3d=.;markup4d=.;
	markup5d=.;markup6d=.;markup7d=.;
	end;

  vfte_sur_ventfrd=vfted/ventfrd;

  keep siren pay paynum un seq country vfted svfted113 svfted ventfrd vfte_sur_ventfrd sex sexplus
       markup1d markup2d markup3d markup4d markup5d markup6d markup7d;

  run;

proc sort data=ekkmer02 out=ekkmer02_un nodupkey;
    by siren;
	run;

%macro univ;

%do itir=2 %to 113;
  data ekkmer02_deux;
    set ekkmer02_un;
	length default=4;
	if sexplus >= &itir;
	run;
    
proc summary data=ekkmer02_deux vardef=N;
     var svfted113 ventfrd markup1d markup2d markup3d markup4d markup5d markup6d markup7d;
     output out=statsex (drop=_type_ _freq_) 
	 n=nmsvfted nmventfrd nmm1d nmm2d nmm3d nmm4d nmm5d nmm6d nmm7d
	 mean=msvfted mventfrd mm1d mm2d mm3d mm4d mm5d mm6d mm7d
	 p5=p5svftd p5ventfrd p5m1d p5m2d p5m3d p5m4d p5m5d p5m6d p5m7d
     q1=q1svftd q1ventfrd q1m1d q1m2d q1m3d q1m4d q1m5d q1m6d q1m7d 
     median=medsvftd medventfrd medm1d medm2d medm3d medm4d medm5d medm6d medm7d 
     q3=q3svftd q3ventfrd q3m1d q3m2d q3m3d q3m4d q3m5d q3m6d q3m7d 
     p95=p95svftd p95ventfrd p95m1d p95m2d p95m3d p95m4d p95m5d p95m6d p95m7d;
         run;

data statsexplus;
  set %if &itir ne 2 %then %do; statsexplus %end; statsex(in=a);
  if a then itir=&itir;
  run;

%end;
%mend;

%univ;

  
  /* et maintenant la france */


proc sort data=lib.bal113(where=(ventfrd>0)) out=france nodupkeys;
  by siren;
run;

data fraanal;
  set france;
  if ventfrd>0;
  length default=4;
  if vfted=. then vfted=0;
  if svfted=. then svfted=0;
  vfted=vfted/1000;
  svfted=svfted/1000;
  ventfrd=(1.622*ventfrd);
  if svfted113=. then svfted113=0;
  svfted113=(svfted113/1000)+ventfrd;
  vad=(cad-cid)*1.622;
  if capitd=. then capitd=0;
  capitd=capitd*1.622;
  if sald<20 then sald=20*effd;
  if charsod<10 then charsod=10*effd;
  coutrad=charsod+sald;
  if coutrad<30 then coutrad=30*effd;
  markup1d=vad/coutrad;
  markup4d=vad/sald;
  markup2d=cad/(cid+coutrad);
  markup5d=cad/(cid+sald);
  markup3d=cad/(cid+coutrad+0.03*capitd);
  markup6d=cad/(cid+sald+0.03*capitd);
  markup7d=vad/effd;
  if (markup1d>20 ! markup1d<0) then do;
    markup1d=.;markup2d=.;markup3d=.;markup4d=.;
	markup5d=.;markup6d=.;markup7d=.;
	end;


  keep siren pay paynum un country vfted svfted113 svfted ventfrd 
       markup1d markup2d markup3d markup4d markup5d markup6d markup7d;

  run;


proc summary data=fraanal vardef=N;
     var svfted113 ventfrd markup1d markup2d markup3d markup4d markup5d markup6d markup7d;
     output out=statfra (drop=_type_ _freq_) 
	 n=nmsvfted nmventfrd nmm1d nmm2d nmm3d nmm4d nmm5d nmm6d nmm7d
	 mean=msvfted mventfrd mm1d mm2d mm3d mm4d mm5d mm6d mm7d
	 p5=p5svftd p5ventfrd p5m1d p5m2d p5m3d p5m4d p5m5d p5m6d p5m7d
     q1=q1svftd q1ventfrd q1m1d q1m2d q1m3d q1m4d q1m5d q1m6d q1m7d 
     median=medsvftd medventfrd medm1d medm2d medm3d medm4d medm5d medm6d medm7d 
     q3=q3svftd q3ventfrd q3m1d q3m2d q3m3d q3m4d q3m5d q3m6d q3m7d 
     p95=p95svftd p95ventfrd p95m1d p95m2d p95m3d p95m4d p95m5d p95m6d p95m7d;
         run;

data statfra;
  set statfra;
  length default=4;
  itir=1;
run;

data lib.statsexplusd;
  set statfra statsexplus;
run;
