pause on
* July, 2009 (include 25th percentile)
* Resample 1986 data for bootstrap
* 

clear
set memory 1000m


* I included France in country.dta
use c:\kortum\research\EKK\chi1008\country
* French data already combine Belgium and Luxembourg
drop if uncode==442
sort paysnum
save country2, replace
clear

* thousands of French Francs

use c:\kortum\research\EKK\chi1008\payfin102008a
append using c:\kortum\research\EKK\chi1008\payfin102008b
append using c:\kortum\research\EKK\chi1008\payfin102008c
append using c:\kortum\research\EKK\chi1008\payfin102008d

rename paynum paysnum

gen pay0_25 = p5pay + q1pay
gen fr0_25 = p5fr + q1fr
gen rat0_25 = p5rat + q1rat

gen pay25_50 = medpay
gen fr25_50 = medfr
gen rat25_50 = medrat

gen pay50_75 = q3pay
gen fr50_75 = q3fr
gen rat50_75 = q3rat

gen pay75_100 = 1 - pay0_25 - pay25_50 - pay50_75
gen fr75_100 = 1 - fr0_25 - fr25_50 - fr50_75
gen rat75_100 = 1 - rat0_25 - rat25_50 - rat50_75 

keep paysnum pay0_25 pay25_50 pay50_75 pay75_100 fr0_25 fr25_50 fr50_75 fr75_100 rat0_25 rat25_50 rat50_75 rat75_100 itir
sort paysnum
merge paysnum using country2
keep if _merge==3
drop _merge
drop if country=="FRANCE"

sort itir country

outfile pay0_25 pay25_50 pay50_75 pay75_100 fr0_25 fr25_50 fr50_75 fr75_100 rat0_25 rat25_50 rat50_75 rat75_100 itir using c:\kortum\research\EKK\chi1008\payfin2000p_25, replace


