libname lib 'c:\travail\trade\eaton-kortum\donnees';
run;


data ekkmer92;
  set lib.bal113;
   length default=4;
  if vftef>0;
  if ventfrf>0;
  if paynum=10
   ! paynum=11
   ! paynum=2
   ! paynum=204
   ! paynum=208
   ! paynum=212
   ! paynum=216
   ! paynum=220
   ! paynum=224
   ! paynum=228
   ! paynum=232
   ! paynum=236
   ! paynum=240
   ! paynum=244
   ! paynum=248
   ! paynum=264
   ! paynum=268
   ! paynum=272
   ! paynum=276
   ! paynum=28
   ! paynum=280
   ! paynum=284
   ! paynum=288
   ! paynum=3
   ! paynum=30
   ! paynum=302
   ! paynum=306
   ! paynum=32
   ! paynum=322
   ! paynum=324
   ! paynum=328
   ! paynum=330
   ! paynum=334
   ! paynum=34
   ! paynum=342
   ! paynum=346
   ! paynum=350
   ! paynum=352
   ! paynum=36
   ! paynum=366
   ! paynum=370
   ! paynum=373
   ! paynum=378
   ! paynum=38
   ! paynum=382
   ! paynum=386
   ! paynum=390
   ! paynum=4
   ! paynum=400
   ! paynum=404
   ! paynum=412
   ! paynum=416
   ! paynum=424
   ! paynum=428
   ! paynum=432
   ! paynum=436
   ! paynum=442
   ! paynum=448
   ! paynum=456
   ! paynum=464
   ! paynum=472
   ! paynum=48
   ! paynum=480
   ! paynum=484
   ! paynum=5
   ! paynum=500
   ! paynum=504
   ! paynum=508
   ! paynum=512
   ! paynum=516
   ! paynum=52
   ! paynum=520
   ! paynum=524
   ! paynum=528
   ! paynum=56
   ! paynum=58
   ! paynum=6
   ! paynum=608
   ! paynum=612
   ! paynum=616
   ! paynum=62
   ! paynum=624
   ! paynum=628
   ! paynum=632
   ! paynum=636
   ! paynum=64
   ! paynum=649
   ! paynum=66
   ! paynum=660
   ! paynum=662
   ! paynum=664
   ! paynum=666
   ! paynum=669
   ! paynum=672
   ! paynum=68
   ! paynum=680
   ! paynum=690
   ! paynum=7
   ! paynum=70
   ! paynum=700
   ! paynum=701
   ! paynum=706
   ! paynum=708
   ! paynum=720
   ! paynum=728
   ! paynum=732
   ! paynum=736
   ! paynum=740
   ! paynum=8
   ! paynum=800
   ! paynum=801
   ! paynum=804
   ! paynum=9;
  un=1;
  sexf=0;
  if nvftef113>0 then sexf=nvftef113;
  seqf=0;
  if (pay='002' and vftef>0) then seqf=1000000;
  if (pay='004' and vftef>0) then seqf=100000;
  if (pay='036' and vftef>0) then seqf=10000;
  if (pay='005' and vftef>0) then seqf=1000;
  if (pay='006' and vftef>0) then seqf=100;
  if (pay='003' and vftef>0) then seqf=10;
  if (pay='400' and vftef>0) then seqf=1;
  vftef=vftef/1000;
  svftef=svftef/1000;
  svftef113=svftef113/1000;
  ventfrf=(1.952*ventfrf);
  vaf=(caf-cif)*1.952;
  if capitf=. then capitf=0;
  capitf=capitf*1.952;
  if salf<20 then salf=20*efff;
  if charsof<10 then charsof=10*efff;
  coutraf=charsof+salf;
  if coutraf<30 then coutraf=30*efff;
  markup1f=vaf/coutraf;
  markup4f=vaf/salf;
  markup2f=caf/(cif+coutraf);
  markup5f=caf/(cif+salf);
  markup3f=caf/(cif+coutraf+0.03*capitf);
  markup6f=caf/(cif+salf+0.03*capitf);
  markup7f=vaf/efff;
  if (markup1f>20 ! markup1f<0) then do;
    markup1f=.;markup2f=.;markup3f=.;markup4f=.;
	markup5f=.;markup6f=.;markup7f=.;
	end;


  vfte_sur_ventfrf=vftef/ventfrf;

  keep siren pay paynum un seqf country vftef svftef113 svftef ventfrf vfte_sur_ventfrf sexf
       markup1f markup2f markup3f markup4f markup5f markup6f markup7f;
  run;


proc sort data=ekkmer92;
    by country;
        run;

proc summary data=ekkmer92;
   by country;
   var un;
   output out=paynum sum=sun;
   run;

data paynum;
  set paynum;
  drop _freq_ _type_;
  run;


proc univariate data=ekkmer92 noprint;
   by country;
   var vftef ventfrf vfte_sur_ventfrf;
   output out=paydis p5=p5payf p5frf p5ratf q1=q1payf q1frf q1ratf 
                     mean=meanpayf meanfrf meanratf median=medpayf medfrf medratf
                     q3=q3payf q3frf q3ratf p95=p95payf p95frf p95ratf;
   run;


proc sort data=ekkmer92 out=ekkmer92_un nodupkey;
    by siren;

proc sort data=ekkmer92_un;
     by sexf;
        run;


proc summary data=ekkmer92_un vardef=N;
     by sexf;
     var svftef ventfrf markup1f markup2f markup3f markup4f markup5f markup6f markup7f;
     output out=statsexf (drop=_type_ _freq_) 
     mean=msvftef mventfrf mm1f mm2f mm3f mm4f mm5f mm6f mm7f
	 p5=p5svftf p5ventfrf p5m1f p5m2f p5m3f p5m4f p5m5f p5m6f p5m7f
     q1=q1svftf q1ventfrf q1m1f q1m2f q1m3f q1m4f q1m5f q1m6f q1m7f 
     median=medsvftf medventfrf medm1f medm2f medm3f medm4f medm5f medm6f medm7f 
     q3=q3svftf q3ventfrf q3m1f q3m2f q3m3f q3m4f q3m5f q3m6f q3m7f 
     p95=p95svftf p95ventfrf p95m1f p95m2f p95m3f p95m4f p95m5f p95m6f p95m7f;
         run;

proc sort data=ekkmer92;
    by siren;

proc summary data=ekkmer92;
    by siren;
    var seqf;
    output out=ekkseq92 sum=seqfsum;
    run;

proc freq data=ekkseq92(drop=_type_ _freq_) noprint;
    tables seqfsum / out=seqfs(drop=percent);
    run;

proc sort data=lib.pays(keep=country pay paynum) out=paysint;
  by country;
  run;


proc sort data=paynum;
  by country;
  run;


data lib.paysf;
  merge paysint(in=a) paynum paydis;
  by country;
run;


data lib.seqf;
  set seqfs;
run;


data lib.statsexf;
  set statsexf;
run;

  /* et maintenant la france */

proc sort data=lib.bal113(where=(ventfrf>0)) out=france nodupkeys;
  by siren;
run;


data fraanal;
  set france;
  keep siren ventfrf vfte_sur_ventfrf;
  if ventfrf>0;
  ventfrf=(1.952*ventfrf);
  length default=4;
  vfte_sur_ventfrf=1;
run;


proc univariate data=fraanal noprint;
   var ventfrf ventfrf vfte_sur_ventfrf;
   output out=fradis p5=p5payf p5frf p5ratf q1=q1payf q1frf q1ratf 
                     mean=meanpayf meanfrf meanratf median=medpayf medfrf medratf
                     q3=q3payf q3frf q3ratf p95=p95payf p95frf p95ratf;
   run;

data fradis;
  set fradis;
  length default=4;
  length country $48;
  length pay $3;
  country='FRANCE';
  pay='001';
  sun=217346;
  paynum=1;
run;

data lib.paysf;
  merge lib.paysf fradis;
  by country;
  run;
